<?php

namespace App;

class Empresa {
    public static $empresas = [];
    public static $categorias = [];

    public static function all()
    {
        self::$empresas = [
            [
                'id'=> 1,
                'name' => 'Italac',
                'token' => '73UbXM-37fhhj-21hnxn',
                'cnpj' => '53.317.255/0001-49',
                'logoUrl' => url('assets/logo-italac.png'),
                "primaryPhone" => "(34) 99988-0001",
                "domain" => "www.italac.com.br",
                "email" => "contato@italac.com.br",
                "address" => "Rua "
            ],
            [
                'id'=> 2,
                'name' => 'Café Cajuba',
                'token' => '73yYXn-82fhhj-8hhnxn',
                'cnpj' => '28.454.300/0001-60',
                'logoUrl' => url('assets/logo-cafecajuba.png'),
                "primaryPhone" => "(34) 99988-0002",
                "domain" => "www.cafecajuba.com.br",
                "email" => "contato@cafecajuba.com.br",
                "address" => "Rua "
            ],
            [
                'id'=> 3,
                'name' => 'Coca-Cola',
                'token' => '73yYXn-82fhhj-8hhnxn',
                'cnpj' => '95.841.512/0001-97',
                'logoUrl' => url('assets/logo-cocacola.png'),
                "primaryPhone" => "(34) 99988-0003",
                "domain" => "www.cocacola.com.br",
                "email" => "contato@cocacola.com.br",
                "address" => "Rua "
            ],
        ];

        return self::$empresas;
    }

    public static function categoriasByEmpresaId($id)
    {
        $categorias = [
            '1' => [[
                'categoria_id' => 1,
                'name' => 'Manteiga',
                'imageUrl' => url('assets/categorias/manteiga.png'),
                'backgroundColor' => 'FFC871',
                'textColor' => 'FFFFFF'
            ],[
                'categoria_id' => 2,
                'name' => 'Achocolatado em pó',
                'imageUrl' => url('assets/categorias/achocolatado-em-po.png'),
                'backgroundColor' => 'D45920',
                'textColor' => 'FFFFFF'
            ],
            [
                'categoria_id' => 3,
                'name' => 'Leite Longa Vida',
                'imageUrl' => url('assets/categorias/leite-longa-vida.png'),
                'backgroundColor' => 'A3A3ED',
                'textColor' => 'FFFFFF'
            ],
            [
                'categoria_id' => 4,
                'name' => 'Leite Condensado',
                'imageUrl' => url('assets/categorias/leite-condensado.png'),
                'backgroundColor' => 'F1A993',
                'textColor' => 'FFFFFF'
            ],
            [
                'categoria_id' => 5,
                'name' => 'Doce de Leite',
                'imageUrl' => url('assets/categorias/doce-de-leite.png'),
                'backgroundColor' => 'D5A171',
                'textColor' => 'FFFFFF'
            ],
            [
                'categoria_id' => 6,
                'name' => 'Leites Especiais',
                'imageUrl' => url('assets/categorias/leite-especial.png'),
                'backgroundColor' => '55DA98',
                'textColor' => 'FFFFFF'
            ],
            [
                'categoria_id' => 7,
                'name' => 'Creme de Leite Leve',
                'imageUrl' => url('assets/categorias/creme-de-leite-leve.png'),
                'backgroundColor' => '88B8E9',
                'textColor' => 'FFFFFF'
            ],
            [
                'categoria_id' => 8,
                'name' => 'Italakinho',
                'imageUrl' => url('assets/categorias/italakinho.png'),
                'backgroundColor' => 'B68678',
                'textColor' => 'FFFFFF'
            ],
            [
                'categoria_id' => 9,
                'name' => 'Mistura pra Bolo',
                'imageUrl' => url('assets/categorias/mistura-para-bolo.png'),
                'backgroundColor' => '94D4DD',
                'textColor' => 'FFFFFF'
            ],
            [
                'categoria_id' => 10,
                'name' => 'Bebida Láctea',
                'imageUrl' => url('assets/categorias/bebida-lactea.png'),
                'backgroundColor' => 'FF6B88',
                'textColor' => 'FFFFFF'
            ],
            [
                'categoria_id' => 11,
                'name' => 'Chocolate em Pó Solúvel',
                'imageUrl' => url('assets/categorias/achocolatado-em-po-soluvel.png'),
                'backgroundColor' => '5A2C2E',
                'textColor' => 'FFFFFF'
            ],
            [
                'categoria_id' => 12,
                'name' => 'Leite em Pó',
                'imageUrl' => url('assets/categorias/leite-em-po.png'),
                'backgroundColor' => '7F81D8',
                'textColor' => 'FFFFFF'
            ],
            [
                'categoria_id' => 13,
                'name' => 'Pó para preparo de Bebida',
                'imageUrl' => url('assets/categorias/po-para-preparo-de-bebidas.png'),
                'backgroundColor' => 'DC4799',
                'textColor' => 'FFFFFF'
            ],
            [
                'categoria_id' => 14,
                'name' => 'Refresco em Pó',
                'imageUrl' => url('assets/categorias/refresco-em-po.png'),
                'backgroundColor' => 'A283C6',
                'textColor' => 'FFFFFF'
            ],
            [
                'categoria_id' => 15,
                'name' => 'Zero Lactose',
                'imageUrl' => url('assets/categorias/zero-lactose.png'),
                'backgroundColor' => 'FF9277',
                'textColor' => 'FFFFFF'
            ],
            [
                'categoria_id' => 16,
                'name' => 'Queijos',
                'imageUrl' => url('assets/categorias/queijos.png'),
                'backgroundColor' => 'DBCF9D',
                'textColor' => 'FFFFFF'
            ]
        ],
         '2' => [

                [
                    'categoria_id' => 16,
                    'name' => 'Queijos',
                    'imageUrl' => url('assets/categorias/queijos.png'),
                    'backgroundColor' => 'DBCF9D',
                    'textColor' => 'FFFFFF'
                ],
                [
                    'categoria_id' => 13,
                    'name' => 'Pó para preparo de Bebida',
                    'imageUrl' => url('assets/categorias/po-para-preparo-de-bebidas.png'),
                    'backgroundColor' => 'DC4799',
                    'textColor' => 'FFFFFF'
                ],
                [
                    'categoria_id' => 8,
                    'name' => 'Italakinho',
                    'imageUrl' => url('assets/categorias/italakinho.png'),
                    'backgroundColor' => 'B68678',
                    'textColor' => 'FFFFFF'
                ],
                [
                    'categoria_id' => 3,
                    'name' => 'Leite Longa Vida',
                    'imageUrl' => url('assets/categorias/leite-longa-vida.png'),
                    'backgroundColor' => 'A3A3ED',
                    'textColor' => 'FFFFFF'
                ],
            ],
            '3' => [
                [
                    'categoria_id' => 15,
                    'name' => 'Zero Lactose',
                    'imageUrl' => url('assets/categorias/zero-lactose.png'),
                    'backgroundColor' => 'FF9277',
                    'textColor' => 'FFFFFF'
                ],
                [
                    'categoria_id' => 12,
                    'name' => 'Leite em Pó',
                    'imageUrl' => url('assets/categorias/leite-em-po.png'),
                    'backgroundColor' => '7F81D8',
                    'textColor' => 'FFFFFF'
                ],
                [
                    'categoria_id' => 10,
                    'name' => 'Bebida Láctea',
                    'imageUrl' => url('assets/categorias/bebida-lactea.png'),
                    'backgroundColor' => 'FF6B88',
                    'textColor' => 'FFFFFF'
                ],
                [
                    'categoria_id' => 5,
                    'name' => 'Doce de Leite',
                    'imageUrl' => url('assets/categorias/doce-de-leite.png'),
                    'backgroundColor' => 'D5A171',
                    'textColor' => 'FFFFFF'
                ],
                [
                    'categoria_id' => 2,
                    'name' => 'Achocolatado em pó',
                    'imageUrl' => url('assets/categorias/achocolatado-em-po.png'),
                    'backgroundColor' => 'D45920',
                    'textColor' => 'FFFFFF'
                ],
            ],
        ];

        //dd($categorias);

        return $categorias[$id];
        //$filtrado = collect($categorias);

        //return $filtrado->where('id', $id);
        //->values()->all();
    }

    public static function newsByEmpresaId($id)
    {
        $news = [
            '1' => [
                ['imageUrl' => url('assets/news/italac-1.jpg')],
                ['imageUrl' => url('assets/news/italac-2.jpg')]
            ],
            '2' => [
                ['imageUrl' => url('assets/news/cafecajuba-1.jpg')],
                ['imageUrl' => url('assets/news/cafecajuba-2.jpg')]
            ],
            '3' => [
                ['imageUrl' => url('assets/news/cocacola-1.jpg')],
                ['imageUrl' => url('assets/news/cafecajuba-2.jpg')]
            ],
        ];

        return $news[$id];
    }

    public static function receitasByEmpresaId($id)
    {
        $news = [
            '1' => [
                ['imageUrl' => url('assets/receitas/receita-italac-1.jpg')],
                ['imageUrl' => url('assets/receitas/receita-italac-2.jpg')]
            ],
            '2' => [
                ['imageUrl' => url('assets/receitas/receita-italac-2.jpg')],
                ['imageUrl' => url('assets/receitas/receita-italac-1.jpg')]
            ],
            '3' => [
                ['imageUrl' => url('assets/news/cafecajuba-2.jpg')],
                ['imageUrl' => url('assets/receitas/receita-italac-1.jpg')]
            ],
        ];

        return $news[$id];
    }
}
